FORUMS
Remove All Ads from XDA

AptX&AptXHD enable patch

8 posts
Thanks Meter: 6
 
By zound, Junior Member on 26th May 2018, 09:44 AM
Post Reply Email Thread
TWRP Patch activating aptx.
Suitable for all firmware Xiaomi Redmi Note 5 Pro / Note 5 China/Global
Requires an unlocked bootloader and twrp
Make backup of the vendor partition before installing
Before
Click image for larger version

Name:	Screenshot_2018-05-25-17-47-26-467_com.nolanlawson.logcat.png
Views:	6062
Size:	94.4 KB
ID:	4510253
After
Click image for larger version

Name:	Screenshot_2018-05-26-08-23-44-337_com.nolanlawson.logcat.png
Views:	6004
Size:	202.5 KB
ID:	4510254

Patch aptxhd_rn5p v1.1.zip
The Following 4 Users Say Thank You to zound For This Useful Post: [ View ] Gift zound Ad-Free
 
 
27th May 2018, 03:59 PM |#2  
Senior Member
Thanks Meter: 429
 
More
Hey bro, I just came across this thread. I made a similar thread thinking that there's no thread regarding this. I'm going to ask mods to take down the other one created by me. Thanks for the patch anyway
30th May 2018, 12:20 PM |#3  
Member
Thanks Meter: 7
 
More
any chance to make this for magisk?
31st May 2018, 06:27 AM |#4  
Junior Member
Thanks Meter: 0
 
More
Thank you it seems to work fine with rn5 global. is bootloader unlock mandatory even after applying the patch?
after applying it via twrp if we lock the bootloader it should still work, no?
31st May 2018, 10:26 AM |#5  
Junior Member
Thanks Meter: 0
 
More
Thanks
Working well
I would really appreciate it if you let me know how to Uninstall it.
8th June 2018, 11:38 AM |#6  
Junior Member
Flag Naples
Thanks Meter: 8
 
More
Hello,
I've successfully installed the patch with TWRP under Resurrection Remix OS latest version, but my APTX-HD enabled earphones (Dodocool DA109) continue to use the SBC codec, also if I try to force APTX or APTX-HD codec on the Developer menu configuration.
How can I do to use APTX-HD?
13th June 2018, 06:23 PM |#7  
Senior Member
Flag Cork
Thanks Meter: 919
 
More
Quote:
Originally Posted by void74

Hello,
I've successfully installed the patch with TWRP under Resurrection Remix OS latest version, but my APTX-HD enabled earphones (Dodocool DA109) continue to use the SBC codec, also if I try to force APTX or APTX-HD codec on the Developer menu configuration.
How can I do to use APTX-HD?

There is Magisk Module that enables it.

Module: - Android O APT-X libraries
13th June 2018, 06:52 PM |#8  
Junior Member
Flag Naples
Thanks Meter: 8
 
More
Quote:
Originally Posted by corkiejp

There is Magisk Module that enables it.

Module: - Android O APT-X libraries

Thank you very much, I installed it and it is working very well!!
Only one thing: my earphones are apt-X HD capable, but the link between the phone and the earphones is done in standard apt-X (not HD).
I see this in the Developer menu.
Even if I try to force the apt-X HD protocol, the link remains normal apt-X.
Is there anything I can do? Maybe this module does not contain apt-X HD libraries?
13th June 2018, 07:34 PM |#9  
Senior Member
Flag Cork
Thanks Meter: 919
 
More
@void74 They seem to be working for me with HD Audio: reported in bluetooth settings.

Edit: - I see what you mean now, not using AptX HD as seen in developer options.

Also check with CatLog and that is also reporting the HD used.

Maybe if you flashed the OP zip and this module, they could be conflicting.

Make sure you headphones actually support it.

Using RR-O-v6.1_12-06 as well.

Try forgetting your pairing and repair them.
13th June 2018, 09:34 PM |#10  
Senior Member
Flag Cork
Thanks Meter: 919
 
More
@void74

APTX-HD enabled earphones (Dodocool DA109)

Although the website product labels these as AptX HD
https://www.dodocool.com/p-da109r.html

The amazon listing in comments say they only support AptX
https://www.amazon.com/dp/B01N4UGC4I/

But the magisk module definitely support HD libraries. Because CatLog app reports attempts to connect in HD mode.
The Following User Says Thank You to corkiejp For This Useful Post: [ View ] Gift corkiejp Ad-Free
14th June 2018, 12:08 AM |#11  
Junior Member
Flag Naples
Thanks Meter: 8
 
More
Quote:
Originally Posted by corkiejp

@void74 They seem to be working for me with HD Audio: reported in bluetooth settings.
Edit: - I see what you mean now, not using AptX HD as seen in developer options.
Also check with CatLog and that is also reporting the HD used.
Maybe if you flashed the OP zip and this module, they could be conflicting.

Yes, I was talking about the developer options, outside the bluetooth connection menu.
I've tried disconnecting and reconnecting with CatLog running (first time I use it).
There are so many log lines... could you please tell me what exactly should I check?
After trying the zip in this thread, I clean-flashed RR on the phone so the Magisk module is the only apt-X library I have now on the phone. No conflicts.
At last, I've started thinking these earphones are "only" aptX capable, even if the official Dodocool site reports it is aptX-HD compatible... :-/
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes